This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 852194 - virt-sparsify --compress fails if output is raw format
virt-sparsify --compress fails if output is raw format
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 16:02 EDT by Richard W.M. Jones
Modified: 2012-11-15 11:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 11:38:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-08-27 16:02:32 EDT
Description of problem:
(Reporter: Evaggelos Balaskas)

> # virt-sparsify -v --compress winxp.img winxp.img.spars
>
> qemu-img convert -f qcow2 -O 'raw' -c '/VM/sparsify10f031.qcow2'
> 'winxp.img.spars'
>
> qemu-img: Compression not supported for this file format
> virt-sparsify: error: external command failed: qemu-img convert -f
> qcow2 -O 'raw' -c '/VM/sparsify10f031.qcow2'
> 'winxp.img.spars'

If the output format is a format which doesn't support
compression (eg. raw), then virt-sparsify should give a
clearer error message.
Comment 1 Richard W.M. Jones 2012-11-15 11:38:51 EST
Commit 43369e1bd4d98acf1cce6eb0216dcdb43d43bf1b
changes the error to say:

virt-sparsify: error: --compress cannot be used for raw output.  Remove 
this option or use --convert qcow2.

Note You need to log in before you can comment on or make changes to this bug.